org.eclipse.oomph.setup

## Interface SetupTask

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Subinterfaces:
    APIBaselineTask, CompoundTask, EclipseIniTask, FileAssociationsTask, GitCloneTask, InstallationTask, JRETask, KeyBindingTask, LaunchTask, LinkLocationTask, MavenImportTask, MylynBuildsTask, MylynQueriesTask, P2Task, PathVariableTask, PreferenceTask, ProjectSetImportTask, ProjectsImportTask, RedirectionTask, ResourceCopyTask, ResourceCreationTask, StringSubstitutionTask, TargetPlatformTask, TargletTask, TextModifyTask, VariableTask, WorkingSetTask, WorkspaceTask
  All Known Implementing Classes:
    APIBaselineTaskImpl, CompoundTaskImpl, EclipseIniTaskImpl, FileAssociationsTaskImpl, GitCloneTaskImpl, InstallationTaskImpl, JRETaskImpl, KeyBindingTaskImpl, LaunchTaskImpl, LinkLocationTaskImpl, MavenImportTaskImpl, MylynBuildsTaskImpl, MylynQueriesTaskImpl, P2TaskImpl, PathVariableTaskImpl, PreferenceTaskImpl, ProjectSetImportTaskImpl, ProjectsImportTaskImpl, RedirectionTaskImpl, ResourceCopyTaskImpl, ResourceCreationTaskImpl, SetupTaskImpl, StringSubstitutionTaskImpl, TargetPlatformTaskImpl, TargletTaskImpl, TextModifyTaskImpl, VariableTaskImpl, WorkingSetTaskImpl, WorkspaceTaskImpl

      public interface SetupTask
      extends ModelElement

  A representation of the model object 'Task'.

  The following features are supported:

  - `ID`
  - `Description`
  - `Scope Type`
  - `Excluded Triggers`
  - `Disabled`
  - `Predecessors`
  - `Successors`
  - `Restrictions`
  See Also:
    `SetupPackage.getSetupTask()`
  Generated
  Model
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PRIORITY_CONFIGURATION`
    `static int` | `PRIORITY_DEFAULT`
    `static int` | `PRIORITY_EARLY`
    `static int` | `PRIORITY_INSTALLATION`
    `static int` | `PRIORITY_LATE`
    `static int` | `PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `void` | `dispose()`
    `String` | `getDescription()` Returns the value of the 'Description' attribute.
    `Set<Trigger>` | `getExcludedTriggers()` Returns the value of the 'Excluded Triggers' attribute.
    `String` | `getID()` Returns the value of the 'ID' attribute.
    `Object` | `getOverrideToken()`
    `EList<SetupTask>` | `getPredecessors()` Returns the value of the 'Predecessors' reference list.
    `int` | `getPriority()`
    `EList<Scope>` | `getRestrictions()` Returns the value of the 'Restrictions' reference list.
    `Scope` | `getScope()`
    `ScopeType` | `getScopeType()` Returns the value of the 'Scope Type' attribute.
    `EList<SetupTask>` | `getSuccessors()` Returns the value of the 'Successors' reference list.
    `Set<Trigger>` | `getTriggers()`
    `Set<Trigger>` | `getValidTriggers()`
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute.
    `boolean` | `isNeeded(SetupTaskContext context)`
    `void` | `overrideFor(SetupTask overriddenTask)`
    `void` | `perform(SetupTaskContext context)`
    `boolean` | `requires(SetupTask setupTask)`
    `void` | `setDescription(String value)` Sets the value of the '`Description`' attribute.
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute.
    `void` | `setExcludedTriggers(Set<Trigger> value)` Sets the value of the '`Excluded Triggers`' attribute.
    `void` | `setID(String value)` Sets the value of the '`ID`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### PRIORITY_REDIRECTION

          static final int PRIORITY_REDIRECTION

      See Also:
        Constant Field Values

    - #### PRIORITY_INSTALLATION

          static final int PRIORITY_INSTALLATION

      See Also:
        Constant Field Values

    - #### PRIORITY_CONFIGURATION

          static final int PRIORITY_CONFIGURATION

      See Also:
        Constant Field Values

    - #### PRIORITY_EARLY

          static final int PRIORITY_EARLY

      See Also:
        Constant Field Values

    - #### PRIORITY_DEFAULT

          static final int PRIORITY_DEFAULT

      See Also:
        Constant Field Values

    - #### PRIORITY_LATE

          static final int PRIORITY_LATE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          String getID()

      Returns the value of the 'ID' attribute.

      If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `SetupPackage.getSetupTask_ID()`
      Generated
      Model
        id="true" extendedMetaData="kind='attribute' name='id'"

    - #### setID

          void setID(String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`
      Generated

    - #### getPredecessors

          EList<SetupTask> getPredecessors()

      Returns the value of the 'Predecessors' reference list. The list contents are of type `SetupTask`.

      If the meaning of the 'Requirements' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Predecessors' reference list.
      See Also:
        `SetupPackage.getSetupTask_Predecessors()`
      Generated
      Model
        extendedMetaData="name='predecessor'"

    - #### getSuccessors

          EList<SetupTask> getSuccessors()

      Returns the value of the 'Successors' reference list. The list contents are of type `SetupTask`.

      If the meaning of the 'Successors' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Successors' reference list.
      See Also:
        `SetupPackage.getSetupTask_Successors()`
      Generated
      Model
        extendedMetaData="name='successor'"

    - #### getRestrictions

          EList<Scope> getRestrictions()

      Returns the value of the 'Restrictions' reference list. The list contents are of type `Scope`.

      If the meaning of the 'Restrictions' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Restrictions' reference list.
      See Also:
        `SetupPackage.getSetupTask_Restrictions()`
      Generated
      Model
        extendedMetaData="name='restriction'"

    - #### getScopeType

          ScopeType getScopeType()

      Returns the value of the 'Scope Type' attribute. The literals are from the enumeration `ScopeType`.

      If the meaning of the 'Scope' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scope Type' attribute.
      See Also:
        `ScopeType`, `SetupPackage.getSetupTask_ScopeType()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getExcludedTriggers

          Set<Trigger> getExcludedTriggers()

      Returns the value of the 'Excluded Triggers' attribute. The default value is `""`.

      If the meaning of the 'Excluded Triggers' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Excluded Triggers' attribute.
      See Also:
        `setExcludedTriggers(Set)`, `SetupPackage.getSetupTask_ExcludedTriggers()`
      Generated
      Model
        default="" dataType="org.eclipse.oomph.setup.TriggerSet" required="true"

    - #### setExcludedTriggers

          void setExcludedTriggers(Set<Trigger> value)

      Sets the value of the '`Excluded Triggers`' attribute.
      Parameters:
        `value` - the new value of the 'Excluded Triggers' attribute.
      See Also:
        `getExcludedTriggers()`
      Generated

    - #### getDescription

          String getDescription()

      Returns the value of the 'Description' attribute.

      If the meaning of the 'Documentation' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Description' attribute.
      See Also:
        `setDescription(String)`, `SetupPackage.getSetupTask_Description()`
      Generated
      Model
        dataType="org.eclipse.oomph.base.Text" extendedMetaData="kind='element'"

    - #### setDescription

          void setDescription(String value)

      Sets the value of the '`Description`' attribute.
      Parameters:
        `value` - the new value of the 'Description' attribute.
      See Also:
        `getDescription()`
      Generated

    - #### getScope

          Scope getScope()

      Generated
      Model
        kind="operation"

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `SetupPackage.getSetupTask_Disabled()`
      Generated
      Model

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`
      Generated

    - #### requires

          boolean requires(SetupTask setupTask)

      Generated
      Model

    - #### getValidTriggers

          Set<Trigger> getValidTriggers()

      Generated
      Model
        kind="operation" dataType="org.eclipse.oomph.setup.TriggerSet" required="true"

    - #### getTriggers

          Set<Trigger> getTriggers()

      Generated
      Model
        kind="operation" dataType="org.eclipse.oomph.setup.TriggerSet" required="true"

    - #### getPriority

          int getPriority()

    - #### getOverrideToken

          Object getOverrideToken()

    - #### overrideFor

          void overrideFor(SetupTask overriddenTask)

    - #### consolidate

          void consolidate()

    - #### isNeeded

          boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Throws:
        `Exception`

    - #### perform

          void perform(SetupTaskContext context)
                       throws Exception

      Throws:
        `Exception`

    - #### dispose

          void dispose()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html